package org.bench4q.master.domain.valueobject.transaction.impl;

import org.bench4q.master.domain.RunningScriptInterface;
import org.bench4q.master.infrastructure.highavailable.HighAvailablePool;

public class ScriptLoadApplication extends ScriptLoadBase {
	private int requiredLoad;

	private int getRequiredLoad() {
		return requiredLoad;
	}

	private void setRequiredLoad(int requiredLoad) {
		this.requiredLoad = requiredLoad;
	}

	public ScriptLoadApplication(RunningScriptInterface runningScript,
			int requiredLoad, HighAvailablePool highAvailablePool) {
		super(runningScript);
		this.setRequiredLoad(requiredLoad);
		this.setHighAvailableAgentPool(highAvailablePool);
	}

	@Override
	protected int getRequireLoad() {
		return this.getRequiredLoad();
	}

}
